package com.qmth.distributed.print.business.bean.result;

import com.qmth.teachcloud.common.bean.dto.PrivilegeDto;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义菜单result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/24
 */
public class CustomPrivilegeResult implements Serializable {

    @ApiModelProperty(value = "自定义菜单")
    List<PrivilegeDto> customPrivilegeList;

    @ApiModelProperty(value = "全局pdf格式")
    List<String> sysPdfSize;

    @ApiModelProperty(value = "用户/密码模式是否开启短信验证")
    boolean accountSmsVerify;

    public CustomPrivilegeResult() {

    }

    public CustomPrivilegeResult(List<PrivilegeDto> customPrivilegeList, List<String> sysPdfSize) {
        this.customPrivilegeList = customPrivilegeList;
        this.sysPdfSize = sysPdfSize;
    }

    public CustomPrivilegeResult(List<PrivilegeDto> customPrivilegeList, List<String> sysPdfSize, boolean accountSmsVerify) {
        this.customPrivilegeList = customPrivilegeList;
        this.sysPdfSize = sysPdfSize;
        this.accountSmsVerify = accountSmsVerify;
    }

    public boolean isAccountSmsVerify() {
        return accountSmsVerify;
    }

    public void setAccountSmsVerify(boolean accountSmsVerify) {
        this.accountSmsVerify = accountSmsVerify;
    }

    public List<PrivilegeDto> getCustomPrivilegeList() {
        return customPrivilegeList;
    }

    public void setCustomPrivilegeList(List<PrivilegeDto> customPrivilegeList) {
        this.customPrivilegeList = customPrivilegeList;
    }

    public List<String> getSysPdfSize() {
        return sysPdfSize;
    }

    public void setSysPdfSize(List<String> sysPdfSize) {
        this.sysPdfSize = sysPdfSize;
    }
}
